---

# montrer plutot sous forme de fichiers multiples regroupes dans un dossier 
# pour montrer que l'option -f accepte tout autant un fichier qu'un DOSSIER
# (et en profiter pour parler en supplément de l'option -R / --recursive).


apiVersion: v1
kind: PersistentVolume
metadata:
  name: pf-500mo
  labels:
    type: nfs                # juste pour simplifier kubectl get pvc,pv -l type==nfs
spec:
  storageClassName: partage-fichiers   # la ressource n'a pas besoin d'exister pour pouvoir etre designee
  accessModes:
    - ReadWriteMany          # k explain PersistentVolume.spec.accessModes    dirige vers ...
    - ReadWriteOnce          # https://kubernetes.io/docs/concepts/storage/persistent-volumes/#access-modes
    - ReadOnlyMany
  nfs:
    server: nfsserver
    path: /partage
  capacity:
    storage: 500Mi
---
apiVersion: v1
kind: PersistentVolume
metadata:
  name: pf-1go
  labels:
    type: nfs
spec:
  storageClassName: partage-fichiers   # facultatif (NE doit apparaitre NULLE PART, ni PV ni PVC, si omis)
  accessModes:
    - ReadWriteMany
    - ReadWriteOnce
    - ReadOnlyMany
  nfs:
    server: nfsserver
    path: /partage
  capacity:
    storage: 1Gi
---
apiVersion: v1
kind: PersistentVolume
metadata:
  name: pf-2go
  labels:
    type: nfs
spec:
  storageClassName: partage-fichiers
  accessModes:
    - ReadWriteMany
    - ReadWriteOnce
    - ReadOnlyMany
  nfs:
    server: nfsserver
    path: /partage
  capacity:
    storage: 2Gi
---
apiVersion: v1
kind: PersistentVolume
metadata:
  name: pf-5go
  labels:
    type: nfs
spec:
  storageClassName: partage-fichiers
  accessModes:
    - ReadWriteMany
    - ReadWriteOnce
    - ReadOnlyMany
  nfs:
    server: nfsserver
    path: /partage
  capacity:
    storage: 5Gi
...
